import os
import json

path = "/usr/share/cdos-update/patchsymbol/patch-version.json"

with open(path, "r") as f:
    if os.path.isfile(path):
        size = os.path.getsize(path)
        if size != 0:
            data = json.load(f)
    f.close()
try:
    data['5.0-H220']['x86_64']['patches']['patchID'] = "1"
    with open(path, "w") as f:
        json.dump(data,f,indent=2)
        f.close()
except Exception as e:
        print("no this minor,now append")
        new_version = {'5.0-H220': {'x86_64': {'patches': {'patchID': 1}, 'secure_patches': {'patchID': 0}, 'silence_patches': {'patchID': 0}}}}
        data.update(new_version)
        with open(path, "w") as f:
            json.dump(data,f,indent=2)
            f.close()



